# SyscallExit2
Date: 2013-08-20

## mars.mips.instructions.syscalls
Class SyscallExit2

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallExit2

All Implemented Interfaces:
  Syscall

    public class SyscallExit2

extends AbstractSyscall

Service to exit the MIPS program with return value given in $a0. Ignored if running from GUI.

Constructor Summary
`SyscallExit2()` Build an instance of the Exit2 syscall.

Method Summary
`void` `simulate(ProgramStatement statement)` Performs syscall function to exit the MIPS program with return value given in $a0.

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallExit2

    public SyscallExit2()

  Build an instance of the Exit2 syscall. Default service number is 17 and name is "Exit2".

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  Performs syscall function to exit the MIPS program with return value given in $a0. If running in command mode, MARS will exit with that value. If running under GUI, return value is ignored.

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`